Plank.PositionManager.get_icon_geometry – plank Reference Manual

# get_icon_geometry

## Description:

public Rectangle get_icon_geometry (ApplicationDockItem item, bool for_hidden)

Get the item's icon geometry for the dock.

## Parameters:

item | an application-dockitem of the dock
for_hidden | whether the geometry should apply for a hidden dock

## Returns:

icon geometry for the given application-dockitem